# regular_textfield

regular_textfield package lets you add a simple beautiful textfield with embedded title and textfield in your flutter app

## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter development, view the
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

1. Add the latest version of package to your pubspec.yaml (and run `dart pub get`):
```yaml
dependencies:
  regular_textfield: ^0.0.3
```

2. Import the package and use it in your Flutter app.
```dart
import 'package:regular_textfield/regular_textfield.dart';
```

## Example 
There are a number of properties that you can modify:

 - title;
 - hintText
 - TextEditingController
 - suffix
 - prefixText
 - isPrefix 
 - isTitle
 - isPrefixIcon
 - path
 - radius 
 - fontSize 
 - fieldColor 
 - isReadOnly 
 - validator
 - textInputAction
 - keyboardType
 - maxline 
 - minLine 
 - onchanged

<hr>

<table>
<tr>
<td>
    
```dart
class _TextFieldScreenState extends State<TextFieldScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          RegularTextFormFeild(
            title: 'Name',
            hintText: "Enter your name",
            controller: TextEditingController(),
            fieldColor: Colors.grey.shade200,
          )
        ],
      ),
    );
  }
}
```

</td>
</tr>
<img src="https://raw.githubusercontent.com/Nilesh-kalsariya/testing-pckg/main/asset-data/textfield-image.JPEG?token=GHSAT0AAAAAABYXE2LJNM66MFNKHHUH46EQYZFQWUA" alt="textfield photo"/>
</table>
